Subject: Re: bug#47139: emacs 27.1 on MacOS Big Sur - "planarGetBytes" errors on console

From: Alan Third <[email-masked]>
Date: Mon, 15 Mar 2021 21:48:00 +0000

On Sun, Mar 14, 2021 at 11:17:27AM -0700, Jason May wrote:
> Running Emacs 27.1 on MacOS 11.2.2
> 
> Was previously running the emacsformacosx.com version, now running the
> version installed from homebrew. Run in windowing mode, not terminal.
> 
> The emacs process writes a continuous stream of the following identical
> error message to the terminal where it was started:
> 
> Error - planarGetBytes count (28) is less than bytesPerRow (48).?? No
> data will be read.
> 
> There are no errors in any emacs buffers. Running with --debug-init
> makes no difference.
> 
> The frequency of the error messages varies. When emacs is idle it seems
> to show up every 60 seconds. More often (as frequently as several times
> per second, but it is not consistent) when emacs in is active use.
> 
> I have not been able to identify any particular usage pattern that
> correlates
> with these messages. Other than writing this message to stderr, emacs is
> stable and exhibits no unusual behavior.??

This is a message generated by the GUI toolkit, not Emacs. It appears
that various people have reported it over the years using various
versions of Emacs and various versions of macOS.

At least one of those complaints was apparently solved by a macOS
update, so I'm not sure that this is anything for us to fix.

If you can find out what, exactly, is causing the error message,
please let us know.

When you say you're running the homebrew version, is that the cask,
because that's just an emacsformacosx.com build? If you're able to
build your own Emacs that might be better, but I don't think homebrew
lets you build for the GUI any more.
-- 
Alan Third